> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Get nomenclature by ID

> Retrieve a specific nomenclature item by its ID.



## OpenAPI

````yaml get /v1/nomenclature/{id}
openapi: 3.0.0
info:
  title: Nomenclature API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/nomenclature/{id}:
    get:
      tags:
        - Nomenclature
      summary: Get nomenclature by ID
      description: Retrieve a specific nomenclature item by its ID.
      operationId: getNomenclatureById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      responses:
        '200':
          description: Nomenclature details
          content:
            application/json:
              schema:
                type: object
                properties:
                  nomenclature:
                    $ref: '#/components/schemas/NomenclaturePayload'
                  defaultCurrency:
                    type: object
components:
  schemas:
    NomenclaturePayload:
      type: object
      required:
        - name
        - type
        - unitId
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
        type:
          type: string
          enum:
            - product
            - service
        categoryId:
          type: string
          nullable: true
        externalId:
          type: string
          nullable: true
        notes:
          type: string
          nullable: true
        sku:
          type: string
          nullable: true
        unitId:
          type: string
        defaultSellingPrice:
          type: number
          nullable: true
        defaultSellingCurrencyId:
          type: string
          nullable: true
        averagePriceCurrencyId:
          type: string
          nullable: true
        legalEntityId:
          type: string
          nullable: true
        dateOfReceipt:
          type: string
          format: date
          nullable: true
        initialStockQuantity:
          type: number
          nullable: true
        averagePrice:
          type: number
          nullable: true
        isArchived:
          type: boolean
        isIgnoreCostRecalc:
          type: boolean
          nullable: true
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````